function combo_plot(xdata1,data1,xdata2,data2)


hl1 = plot(xdata1,data1,'k');
ax1 = gca;
set(ax1,'XColor','k','YColor','k')



%Next, create another axes at the same location as the first, placing the x-axis on top and the y-axis on the right. Set the axes Color to none to allow the first axes to be visible and color code the x- and y-axis to match the data.
ax2 = axes('Position',get(ax1,'Position'),...
           'XAxisLocation','top',...
           'YAxisLocation','right',...
           'Color','none',...
           'XColor','w','YColor','r','XTickLabel',{});


%Draw the second set of data in the same color as the x- and y-axis.

hl2 = plot(xdata2,data2,'r.','Parent',ax2);
